# spats
About Spats
===========

Spats is a package originally developed to support: 

- Julius B. Lucks, Stefanie A. Mortimer, Cole Trapnell, Shujun Luo, 
	Sharon Aviron, Gary P. Schroth, Lior Pachter, Jennifer A. Doudna, and Adam P. Arkin, 
	SHAPE-Seq: Multiplexed RNA Secondary and Tertiary Structure Determination 
        PNAS, 2011, doi: 10.1073/pnas.1106501108
- Sharon Aviran, Cole Trapnell, Julius B. Lucks, Stefanie A. Mortimer, Shujun Luo,
	Gary P. Schroth, Jennifer A. Doudna, Adam P. Arkin, and Lior Pachter, 
	Modeling and automation of SHAPE-Seq analysis 
        PNAS, 2011, doi: 10.1073/pnas.1106541108

and now supports:

- David Loughrey, Kyle E. Watters, Alexander H. Settle, and Julius B. Lucks
  SHAPE-Seq 2.0: Systematic Optimization and Extension of High-Throughput
  Chemical Probing of RNA Structure with Next Generation Sequencing
      Nucleic Acids Research, 2014 .
- Kyle E. Watters, Timothy R. Abbott, and Julius B. Lucks
  Simultaneous characterization of cellular RNA structure and function
  with in-cell SHAPE-Seq
      Nucleic Acids Research, 2015
- Kyle E. Watters, Angela M Yu, Eric J. Strobel, Alexander H. Settle, and Julius B. Lucks
  Characterizing RNA structures in vitro and in vivo with selective 2'-hydroxyl acylation
  analyzed by primer extension sequencing (SHAPE-Seq)
      Methods, 2016

and other papers from the SHAPE-Seq community.

The Spats package implements a read mapping and reactivity analysis pipeline for calculating
SHAPE-Seq reactivities from an input set of next-generation reads. The reactivity calculation
implemented is described in:

- Sharon Aviran, Julius B. Lucks, and Lior Pachter
  RNA Structure characterization from chemical mapping experiments.
  49th Allerton Conference, UIUC 2011. doi: 10.1109/Allerton.2011.6120379 .


For more information about the SHAPE-Seq experiment, and the application of spats for data analysis,
please see:

- Stephanie A. Mortimer, Cole Trapnell, Sharon Aviran, Lior Pachter, and Julius B. Lucks
  SHAPE-Seq: High Throughput RNA Structure Analysis
      Current Protocols in Chemical Biology, 2012, doi: 10.1002/9780470559277.ch120019
